import request from '@/utils/request'

// 查询流程单抄送记录列表
export function listCc(query) {
  return request({
    url: '/flow/cc/list',
    method: 'get',
    params: query
  })
}

// 查询流程单抄送记录详细
export function getCc(id) {
  return request({
    url: '/flow/cc/' + id,
    method: 'get'
  })
}

// 新增流程单抄送记录
export function addCc(data) {
  return request({
    url: '/flow/cc',
    method: 'post',
    data: data
  })
}

// 修改流程单抄送记录
export function updateCc(data) {
  return request({
    url: '/flow/cc',
    method: 'put',
    data: data
  })
}

// 删除流程单抄送记录
export function delCc(id) {
  return request({
    url: '/flow/cc/' + id,
    method: 'delete'
  })
}

// 导出流程单抄送记录
export function exportCc(query) {
  return request({
    url: '/flow/cc/export',
    method: 'get',
    params: query
  })
}